Skip to content

Pricebooks

Pricebooks are simply an easy way to define what items are available to be added to an invoice.

Pricebooks can contain up to 2000 items, each item has a code, description and unit cost.

Web users can select a pricebook for each of their templates. When using the API, you can either inherit the pricebook from the template, or specify the pricebook for each job you create.

If you are using our customer specific pricebooks features, you can also inherit the pricebook from the customer record.

The following web services can be used to create, update, delete and search for pricebooks within vWork.

Here are the fields you can use when making a pricebook request:

NameTypeDescription
nameStringUnique name of pricebook, cannot be blank.
descriptionStringA user friendly description of the pricebook, should not be blank.
pricebook_itemsArrayAn array of values to populate the pricebook
pricebook_item.codeStringThe item code to include in the pick list
pricebook_item.descriptionStringThe item description to include in the pick list
pricebook_item.priceStringThe item value to include in the pick list

When retrieving a priceboook from vWork, you may also see these additional fields in the response.

NameTypeDescription
idIntegerThe unique ID of the pricebook. Auto-generated by vWork.
pricebook_idIntegerThe unique ID of the pricebook. Auto-generated by vWork.
account_idIntegerThe unique ID of your account. Auto-generated by vWork.
item idIntegerThe unique ID of each item in the pricebook. Auto-generated by vWork.

Create A New Pricebook

Request

Creates a new pricebook in vWork.

Security
apiKey
Query
api_keystringrequired
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

POST
/v5/pricebooks.xml
curl -i -X POST \
  'https://api.vworkapp.com/v5/pricebooks.xml?api_key=string&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip' \
  -H 'Content-Type: application/xml; charset=utf-8' \
  -d '<?xml version="1.0" encoding="utf-8"?>
  <pricebook>
      <name>test pricebook</name>
      <description>pricebook</description>
      <pricebook_items type="array">
          <pricebook_item>
              <code>3</code>
              <description>Description 3</description>
              <price>40.0</price>
          </pricebook_item>
          <pricebook_item>
              <code>2</code>
              <description>Description 2</description>
              <price>30.0</price>
          </pricebook_item>
          <pricebook_item>
              <code>1</code>
              <description>Description 1</description>
              <price>20.0</price>
          </pricebook_item>
      </pricebook_items>
  </pricebook>  '

Responses

Created

Headers
Cache-Controlstring
Example:"max-age=0, private, must-revalidate"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Datestring
Example:"Mon, 13 Jun 2016 23:39:38 GMT"
ETagstring
Example:"W/\"2dbcb6a04f44419e584b939d643b66f1\""
Statusstring
Example:"201 Created"
Strict-Transport-Securitystring
Example:"max-age=31536000"
Transfer-Encodingstring
Example:"chunked"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"c984cbfd-2df1-4010-bad2-d5ef1e4d5412"
X-Runtimestring
Example:"0.586222"
X-Unique-IDstring
Example:"CA7C7B8A:CD56_0A000ED8:01BB_575F4426_6E78F2:1EB6"
X-XSS-Protectionstring
Example:"1; mode=block"
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

Response
<?xml version="1.0" encoding="utf-8"?>
<pricebook>
    <id readonly="readonly">1090</id>
    <name>test pricebook</name>
    <account_id>1296</account_id>
    <description>pricebook</description>
    <pricebook_items type="array">
        <pricebook_item>
            <id readonly="readonly">113124</id>
            <pricebook_id>1090</pricebook_id>
            <code>3</code>
            <description>Description 3</description>
            <price>40.0</price>
        </pricebook_item>
        <pricebook_item>
            <id readonly="readonly">113125</id>
            <pricebook_id>1090</pricebook_id>
            <code>2</code>
            <description>Description 2</description>
            <price>30.0</price>
        </pricebook_item>
        <pricebook_item>
            <id readonly="readonly">113126</id>
            <pricebook_id>1090</pricebook_id>
            <code>1</code>
            <description>Description 1</description>
            <price>20.0</price>
        </pricebook_item…